window.parent.screenMode = "media";
var config;
var data = [];
var dailyInfo = null;
var sentryData = [];
var mediaViews = {};
var currentPeriod = "AM";
var logName = dateStringYMD(new Date());
var sentryLogName = dateStringYMD(new Date());

// Log fonksiyonu, file = true ise tarih ekleyerek dosyaya yazdırır
function logGeneral(text, file){
    window.parent.logGeneral(text, file, "Media");
}

function dateStringYMD(date) {
    var d = date.getDate();
    var m = date.getMonth() + 1;
    var y = date.getFullYear();
    return '' + y + '-' + (m<=9 ? '0' + m : m) + '-' + (d <= 9 ? '0' + d : d);
}

// yayın görüntülenme istatistiklerini kaydeder
function logMediaView(mediaId, sequence){
    
    var now = new Date();
    if(now.getHours() < 13 || (now.getHours() == 13 && now.getMinutes() < 30)){
        currentPeriod = "AM";
    }else{
        currentPeriod = "PM";
    }
    
    if(mediaViews[logName] == undefined)
       mediaViews[logName] = {};
         
    if(mediaViews[logName][mediaId] == undefined)
        mediaViews[logName][mediaId] = {"sequence":{"AM":0, "PM":0}, "view":{"AM":0, "PM":0}};
        
    console.log("Media View Logged: " + logName + " " + mediaId + " " + currentPeriod + " " + sequence);
        
    mediaViews[logName][mediaId]["sequence"][currentPeriod] = sequence;
    mediaViews[logName][mediaId]["view"][currentPeriod]++;
    
    // Genel Log dosyasını oluştur
    var logFile = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources/log', 'media_views.log');
    logStream = logFile.open(Ti.Filesystem.MODE_WRITE);
    logStream.write(Ti.JSON.stringify(mediaViews));
    logStream.close();
}

function sentryControl(){
	// Nöbet kontrolü

    var cumartesi = (config.cumartesi != undefined) ? cumartesi : false;
    
    var now = new Date();
    var today = now.getDay();
    var now_ymd = window.parent.dateStringYMD(now);
	var yesterday = new Date();
	yesterday.setDate(now.getDate() - 1);
     
    // Bugün için nöbet başlangıç
    var sentry_start = new Date();
    sentry_start.setHours(config.sentry_start.h);
    sentry_start.setMinutes(config.sentry_start.m);
    
    // Bugün için nöbet bitiş
    var sentry_end = new Date();
    sentry_end.setHours(config.sentry_end.h);
    sentry_end.setMinutes(config.sentry_end.m);
    
    var nobet_tipi = "gece";
    
    // Resmi ve Dini Tatil
    for(x in config.tatil_gunleri){
        if(now_ymd == config.tatil_gunleri[x]){
            nobet_tipi = "bayram";
        }
    }
    
    if(nobet_tipi != "bayram"){
        if(now > sentry_end){
            if(today == 0){
                nobet_tipi = "pazar";
            }else if(today == 6 && cumartesi == true){
                nobet_tipi = "cumartesi";
            }
        }else{
            if(today == 0){
                if(cumartesi == true){
                    nobet_tipi = "cumartesi";
                }
            }
        }
    }
    
    if(now > sentry_end){
        if(today == 0){
            if(config.screen == 1)
                window.parent.loadScreen("sentry");
        }else if(today == 6 && cumartesi == true){
            if(config.screen == 1)
                window.parent.loadScreen("sentry");
        }else{
            if(now > sentry_start){
                if(config.screen == 1)
                    window.parent.loadScreen("sentry");
            }else{
                 
            }
         }
    }else{
        if(config.screen == 1)
            window.parent.loadScreen("sentry");
    }
        
	if(now <= sentry_end){
        // Nöbet bir önceki gün başlar
        sentryLogName = window.parent.dateStringYMD(yesterday, "");
	}else{
    	sentryLogName = window.parent.dateStringYMD(now, "");
	}
}

function loadData(){

    // Config dosyasını çek
	var config_file = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources','config.js');
	if(config_file.exists()) {
		var stream = config_file.open();
		config = Ti.JSON.parse(stream.read());
		stream.close();
	}else{
	   alert("Config File not found: " + config_file.nativePath());
	   return;
	}
	
	// Nöbet Kontrolü
    sentryControl();

    // MediaViews dosyasını çek
	var media_views_file = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources/log','media_views.log');
	if(media_views_file.exists()) {
	
        if(media_views_file.size() > 0){
            var stream = media_views_file.open();
            var str = stream.read();
            mediaViews = Ti.JSON.parse(str);
            stream.close();
        }
		
	}else{
	   media_views_file.touch();
	}
	
	if(mediaViews[logName] == undefined){
        mediaViews[logName] = {};
	}
	
	logGeneral("Loading Media . . .", true);
	
	var now = new Date();
	
    // Info dosyasını çek
    var day = now.getDate();
	var data_file = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources/cache','daily-d' + day + '.json');
	if(data_file.exists()) {
		var stream = data_file.open(Ti.Filesystem.MODE_READ);
		dailyInfo = Ti.JSON.parse(stream.read());
		stream.close();
	}else{
		window.parent.fetchDailyData();
		return;
	}

    // bugünün yayinlanacak media verisini çek
	var data_file = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources/cache','media-d' + day + '.json');
	if(data_file.exists()) {
		var stream = data_file.open(Ti.Filesystem.MODE_READ);
		data = Ti.JSON.parse(stream.read());
		stream.close();
	}else{
		window.parent.fetchMediaData();
		return;
	}
	
	// nobet bilgisini çek
	var data_file = Ti.Filesystem.getFile(Ti.Filesystem.getApplicationDirectory() + '/Resources/cache','sentry-info.json');
	if(data_file.exists()) {
		var stream = data_file.open(Ti.Filesystem.MODE_READ);
		sentryData = Ti.JSON.parse(stream.read());
		stream.close();
		
        sentryData = sentryData[sentryLogName];
		
		if(sentryData == undefined){
    		window.parent.fetchSentryData();
    		return;
		}
	}else{
		window.parent.fetchSentryData();
		return;
	}

	
}